Loading...
Searching...
No Matches
crypto_builtin_key_derivation.h File Reference
`#include "mbedtls/private_access.h"`
`#include <psa/crypto_driver_common.h>`
Include dependency graph for crypto_builtin_key_derivation.h:
This graph shows which files directly or indirectly include this file:

Go to the source code of this file.

## Data Structures

struct | psa_hkdf_key_derivation_t
struct | psa_tls12_ecjpake_to_pms_t
struct | psa_tls12_prf_key_derivation_s

## Typedefs

typedef struct psa_tls12_prf_key_derivation_s | psa_tls12_prf_key_derivation_t

## Enumerations

enum | psa_tls12_prf_key_derivation_state_t { PSA_TLS12_PRF_STATE_INIT , PSA_TLS12_PRF_STATE_SEED_SET , PSA_TLS12_PRF_STATE_OTHER_KEY_SET , PSA_TLS12_PRF_STATE_KEY_SET , PSA_TLS12_PRF_STATE_LABEL_SET , PSA_TLS12_PRF_STATE_OUTPUT }

## Typedef Documentation

## psa_tls12_prf_key_derivation_t

typedef struct psa_tls12_prf_key_derivation_s psa_tls12_prf_key_derivation_t

## Enumeration Type Documentation

## psa_tls12_prf_key_derivation_state_t

enum psa_tls12_prf_key_derivation_state_t

Enumerator
PSA_TLS12_PRF_STATE_INIT |
PSA_TLS12_PRF_STATE_SEED_SET |
PSA_TLS12_PRF_STATE_OTHER_KEY_SET |
PSA_TLS12_PRF_STATE_KEY_SET |
PSA_TLS12_PRF_STATE_LABEL_SET |
PSA_TLS12_PRF_STATE_OUTPUT |

Definition at line 55 of file crypto_builtin_key_derivation.h.